Index: testsuites/samples/base_mp/system.h
===================================================================
--- testsuites/samples/base_mp/system.h	(revision 8c1f4064ad668c6bab0fb106386e9e2d33d06d31)
+++ testsuites/samples/base_mp/system.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
@@ -31,5 +31,5 @@
 #define CONFIGURE_MP_APPLICATION
 
-#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_APPLICATION_NEEDS_SIMPLE_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 
Index: testsuites/samples/base_sp/system.h
===================================================================
--- testsuites/samples/base_sp/system.h	(revision 8c1f4064ad668c6bab0fb106386e9e2d33d06d31)
+++ testsuites/samples/base_sp/system.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
@@ -29,5 +29,5 @@
 #include <bsp.h> /* for device driver prototypes */
 
-#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_APPLICATION_NEEDS_SIMPLE_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 
Index: testsuites/samples/capture/system.h
===================================================================
--- testsuites/samples/capture/system.h	(revision 8c1f4064ad668c6bab0fb106386e9e2d33d06d31)
+++ testsuites/samples/capture/system.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
@@ -40,5 +40,5 @@
 #include <bsp.h> /* for device driver prototypes */
 
-#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_APPLICATION_NEEDS_SIMPLE_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 
Index: testsuites/samples/cdtest/system.h
===================================================================
--- testsuites/samples/cdtest/system.h	(revision 8c1f4064ad668c6bab0fb106386e9e2d33d06d31)
+++ testsuites/samples/cdtest/system.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
@@ -25,5 +25,5 @@
 #include <bsp.h> /* for device driver prototypes */
 
-#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_APPLICATION_NEEDS_SIMPLE_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 
Index: testsuites/samples/fileio/system.h
===================================================================
--- testsuites/samples/fileio/system.h	(revision 8c1f4064ad668c6bab0fb106386e9e2d33d06d31)
+++ testsuites/samples/fileio/system.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
@@ -37,5 +37,5 @@
 
 #define CONFIGURE_MAXIMUM_DRIVERS           4
-#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_APPLICATION_NEEDS_SIMPLE_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 #ifdef RTEMS_BSP_HAS_IDE_DRIVER
Index: testsuites/samples/hello/init.c
===================================================================
--- testsuites/samples/hello/init.c	(revision 8c1f4064ad668c6bab0fb106386e9e2d33d06d31)
+++ testsuites/samples/hello/init.c	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
@@ -39,5 +39,5 @@
 /* NOTICE: the clock driver is explicitly disabled */
 #define CONFIGURE_APPLICATION_DOES_NOT_NEED_CLOCK_DRIVER
-#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_APPLICATION_NEEDS_SIMPLE_CONSOLE_DRIVER
 
 #define CONFIGURE_MAXIMUM_TASKS            1
Index: testsuites/samples/iostream/system.h
===================================================================
--- testsuites/samples/iostream/system.h	(revision 8c1f4064ad668c6bab0fb106386e9e2d33d06d31)
+++ testsuites/samples/iostream/system.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
@@ -21,5 +21,5 @@
 /* NOTICE: the clock driver is explicitly disabled */
 #define CONFIGURE_APPLICATION_DOES_NOT_NEED_CLOCK_DRIVER
-#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_APPLICATION_NEEDS_SIMPLE_CONSOLE_DRIVER
 #define CONFIGURE_ZERO_WORKSPACE_AUTOMATICALLY TRUE
 
Index: testsuites/samples/loopback/init.c
===================================================================
--- testsuites/samples/loopback/init.c	(revision 8c1f4064ad668c6bab0fb106386e9e2d33d06d31)
+++ testsuites/samples/loopback/init.c	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
@@ -15,5 +15,5 @@
 const char rtems_test_name[] = "LOOPBACK";
 
-#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_APPLICATION_NEEDS_SIMPLE_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
Index: testsuites/samples/nsecs/system.h
===================================================================
--- testsuites/samples/nsecs/system.h	(revision 8c1f4064ad668c6bab0fb106386e9e2d33d06d31)
+++ testsuites/samples/nsecs/system.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
@@ -8,5 +8,5 @@
 extern void dummy_function_empty_body_to_force_call(void);
 
-#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_APPLICATION_NEEDS_SIMPLE_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 
Index: testsuites/samples/paranoia/system.h
===================================================================
--- testsuites/samples/paranoia/system.h	(revision 8c1f4064ad668c6bab0fb106386e9e2d33d06d31)
+++ testsuites/samples/paranoia/system.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
@@ -25,5 +25,5 @@
 #include <bsp.h> /* for device driver prototypes */
 
-#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_APPLICATION_NEEDS_SIMPLE_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 
Index: testsuites/samples/pppd/system.h
===================================================================
--- testsuites/samples/pppd/system.h	(revision 8c1f4064ad668c6bab0fb106386e9e2d33d06d31)
+++ testsuites/samples/pppd/system.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
@@ -13,5 +13,5 @@
 #include <bsp.h>
 
-#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_APPLICATION_NEEDS_SIMPLE_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 
Index: testsuites/samples/ticker/system.h
===================================================================
--- testsuites/samples/ticker/system.h	(revision 8c1f4064ad668c6bab0fb106386e9e2d33d06d31)
+++ testsuites/samples/ticker/system.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
@@ -42,5 +42,5 @@
 
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
-#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_APPLICATION_NEEDS_SIMPLE_CONSOLE_DRIVER
 
 #define CONFIGURE_MAXIMUM_TASKS             4
Index: testsuites/samples/unlimited/system.h
===================================================================
--- testsuites/samples/unlimited/system.h	(revision 8c1f4064ad668c6bab0fb106386e9e2d33d06d31)
+++ testsuites/samples/unlimited/system.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
@@ -43,5 +43,5 @@
 /* NOTICE: the clock driver is explicitly disabled */
 #define CONFIGURE_APPLICATION_DOES_NOT_NEED_CLOCK_DRIVER
-#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_APPLICATION_NEEDS_SIMPLE_CONSOLE_DRIVER
 
 #define CONFIGURE_UNIFIED_WORK_AREAS
